// ----------------------------------------------------------------------------
// Copyright 2006-2007, Martin D. Flynn
// All rights reserved
// ----------------------------------------------------------------------------
//
// Licensed under the Apache License, Version 2.0 (the "License");
// you may not use this file except in compliance with the License.
// You may obtain a copy of the License at
// 
// http://www.apache.org/licenses/LICENSE-2.0
// 
// Unless required by applicable law or agreed to in writing, software
// distributed under the License is distributed on an "AS IS" BASIS,
// WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
// See the License for the specific language governing permissions and
// limitations under the License.
//
// ----------------------------------------------------------------------------
// Description:
//  General 'Timeout' exception.
// ----------------------------------------------------------------------------
// Change History:
//  2006/03/26  Martin D. Flynn
//     -Initial release
//  2006/11/03  Guanghong Yang
//     -Include JavaDocs
// ----------------------------------------------------------------------------
package org.opendmtp.j2me.util;

/**
* Exception for Timeout error.
*/
public class TimeoutException
    extends Exception
{
    
    /**
    * Initializes a new <tt>TimeoutException</tt> with the indicated error message.
    * @param msg The error message.
    */
    public TimeoutException(String msg)
    {
        super(msg);
    }
    
}
